- updated to 1.16.4 auto/th/ruby-rcairo-1.16.4-1
authorJakub Bogusz <qboosh@pld-linux.org>
Fri, 22 Mar 2019 04:45:48 +0000 (05:45 +0100)
committerJakub Bogusz <qboosh@pld-linux.org>
Fri, 22 Mar 2019 04:45:48 +0000 (05:45 +0100)
no-native-packages.patch
ruby-rcairo.spec

index 1993d14d1f676c09a7918b39d721e9d805760ba2..6b75369137f9ba7cd76fe5e497b5e920bd8d0385 100644 (file)
@@ -1,14 +1,6 @@
 diff -ur rcairo-1.15.10/ext/cairo/extconf.rb rcairo-1.15.10-no-native-pkgs/ext/cairo/extconf.rb
 --- rcairo-1.15.10/ext/cairo/extconf.rb        2017-10-15 16:21:01.000000000 +0200
 +++ rcairo-1.15.10-no-native-pkgs/ext/cairo/extconf.rb 2017-11-09 09:19:45.074637717 +0100
-@@ -7,7 +7,6 @@
- require 'fileutils'
- require "pkg-config"
--require "native-package-installer"
- checking_for(checking_message("GCC")) do
-   if macro_defined?("__GNUC__", "")
 @@ -43,29 +42,7 @@
    end
  end
index e219986e8124051cc135167214c730d77c46c0e7..7bafb0a462e754a28229406b6b0371b491387dfb 100644 (file)
@@ -2,12 +2,12 @@
 Summary:       Cairo module for Ruby
 Summary(pl.UTF-8):     Moduł Cairo dla języka Ruby
 Name:          ruby-%{pkgname}
-Version:       1.16.2
+Version:       1.16.4
 Release:       1
 License:       GPL or custom (see COPYING)
 Group:         Development/Languages
 Source0:       https://www.cairographics.org/releases/rcairo-%{version}.tar.gz
-# Source0-md5: cb5a50a7ae195c29d91f3da154b2cbb8
+# Source0-md5: 67de5ac16763f4726956f2c074cbadb3
 Patch0:                %{name}-hdr.patch
 Patch1:                no-native-packages.patch
 URL:           https://www.cairographics.org/rcairo/
@@ -15,7 +15,8 @@ BuildRequires:        cairo-devel >= 1.14.0
 BuildRequires: pkgconfig
 BuildRequires: rpmbuild(macros) >= 1.410
 BuildRequires: ruby-devel >= 1:1.8
-BuildRequires: ruby-pkg-config
+BuildRequires: ruby-native-package-installer >= 1.0.3
+BuildRequires: ruby-pkg-config >= 1.2.2
 Requires:      cairo >= 1.14.0
 Requires:      ruby >= 1:1.8
 # dropped?
This page took 0.161523 seconds and 4 git commands to generate.